﻿using System.Text.Json.Serialization;
// ReSharper disable FieldCanBeMadeReadOnly.Global
// ReSharper disable ConvertToConstant.Global

namespace OBSBlur;

public struct Config
{
    [JsonRequired]
    public string ObsWebsocketUrl = "ws://localhost:4444";
    [JsonRequired]
    public string ObsWebsocketPassword = "";
    [JsonRequired]
    public string[] EnabledScenes = { "Desktop" };
    [JsonRequired]
    public string[] BlurPrograms = { "Discord", "thunderbird", "Signal" };

    public Config()
    {
    }
}